package com.muyu.fault.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.muyu.fault.domain.FaultCondition;
import com.muyu.fault.domain.req.FaultConditionAddReq;
import com.muyu.fault.domain.req.FaultConditionListReq;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @className: FaultConditionMapper  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测策略的接口
 */
@Mapper
public interface FaultConditionMapper extends BaseMapper<FaultCondition> {

    List<FaultCondition> selectfaultconditionlist(FaultConditionListReq faultConditionListReq);


    List<FaultCondition> selectBytypeAndlabel(FaultConditionAddReq faultConditionAddReq);
}
