package com.muyu.fault.service;

import com.muyu.fault.domain.CarFaultRule;
import com.muyu.fault.domain.FaultReport;
/**
 * @className: FaultDetectionStrategy  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测策略的接口
 */
public interface FaultDetectionStrategy {

    FaultReport detectFaults(CarFaultRule carFaultRule);

}
