package com.muyu.fault.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.fault.domain.FaultLabel;


import java.util.List;

/**
 * @className: FaultLabelService  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测
 */
public interface FaultLabelService extends IService<FaultLabel> {
    /**
     * 故障名称
     * @return
     */
    List<FaultLabel> select();

}
