package com.muyu.fault.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.fault.domain.FaultLog;
import com.muyu.fault.domain.req.FaultLogListReq;
import com.muyu.fault.domain.resp.FaultLogTotalListResp;


import java.util.List;

/**
 * @className: FaultLogService  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测
 */
public interface FaultLogService extends IService<FaultLog> {

    /**
     * 故障日志列表
     * @param faultLogListReq
     * @return
     */
    FaultLogTotalListResp selectfaultlog(FaultLogListReq faultLogListReq);
}
