package com.muyu.fault.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @className: CarType  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 22:01 ⏰
 * @Version: 1.0
 * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_type",autoResultMap = true)
public class CarType {
    /**
     * 车辆类型ID
     */
    private long carTypeId;
    /**
     * 车辆类型名
     */
    private String carTypeName;
    /**
     * 车辆规则外键ID
     */
    private long carTypeRules;
}
