package com.muyu.fault.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @className: FaultLabel  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:07 ⏰
 * @Version: 1.0
 * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
@TableName(value = "car_fault_label",autoResultMap = true)
public class FaultLabel {

    /**
     *自增主键
     */
    @TableId(value = "message_type_id",type = IdType.AUTO)
    private String messageTypeId;
    /**
     *报文编码
     */
    private String messageTypeCode;
    /**
     *报文名称
     */
    private String messageTypeName;
    /**
     *报文所属类别
     */
    private String messageTypeBelongs;

}
