package com.muyu.fault.domain.message;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @className: MessageReq  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 20:59 ⏰
 * @Version: 1.0
 * @description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class MessageReq {
    /**
     * 消息状态
     */
    @TableId(type = IdType.AUTO,value = "status")
    private Integer status;
    /**
     * 登录人Id
     */
    @Excel(name = "登录人Id")
    private long userId;
}
