package com.muyu.fault.domain.req;

import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description:
 */

@Tag(name = "故障码列表请求对象")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class FaultCodeListReq {
    /**
     *故障码
     */
    private String faultcodeNumber;
    /**
     *故障位
     */
    private String faultBit;
    /**
     * 页码，从1开始
     */
    private Integer pageNum=1;
    /**
     * 每页大小
     */
    private Integer pageSize=10;


}
