package com.muyu.fault.domain.vo;

import com.muyu.fault.domain.FaultCode;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
/**
 * @className: FaultCodeVo  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 22:18 ⏰
 * @Version: 1.0
 * @description:
 */
@EqualsAndHashCode(callSuper = true)
@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder
public class FaultCodeVo extends FaultCode {
    /**
     *故障类型名称
     */
    private String faulttypeName;
    /**
     * 故障名称
     */
    private String messageTypeName;
    /**
     * 报文编码
     */
    private String messageTypeCode;
    /**
     *报文所属类别
     */
    private String messageTypeBelongs;


}
