package com.muyu.fault.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.muyu.fault.domain.FaultLog;
import com.muyu.fault.domain.req.FaultLogListReq;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @className: FaultLog  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 21:06 ⏰
 * @Version: 1.0
 * @description: 故障检测策略的接口
 */
@Mapper
public interface FaultLogMapper extends BaseMapper<FaultLog> {


    List<FaultLog> selectfaultLogMapper(FaultLogListReq faultLogListReq);

}
