package com.muyu.fault.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.muyu.fault.domain.CarType;
import com.muyu.fault.mapper.CarTypeMapper;
import com.muyu.fault.service.CarTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @className: CarFaultRule  ️✈️
 * @author: Yang 鹏  🦅
 * @date: 2024/9/23 22:06 ⏰
 * @Version: 1.0
 * @description:
 */
@Service
public class CarTypeServiceImpl extends ServiceImpl<CarTypeMapper, CarType> implements CarTypeService {

    @Autowired
    private CarTypeMapper carTypeMapper;

    /**
     * 车辆类型
     * @return
     */
    @Override
    public List<CarType> selectcarType() {
        LambdaQueryWrapper<CarType> carTypeLambdaQueryWrapper = new LambdaQueryWrapper<>();
        List<CarType> list = this.list(carTypeLambdaQueryWrapper);
        return list;
    }


}
